Page 1 of 1

Warning: EXU2 may be incompatible with the new UT patch 469A

Posted: 28 Sep 2020, 22:32
by Buff Skeleton
The verdict as of September 2020: Stick to the official 436 patch when playing EXU2.

Big news lately with the 469A patch dropping not long ago! This community-built UT update has a lot of really cool stuff on offer, especially with the editor, but it might not be viable for everyone in its current state.

I made a copy of my EXU2 dev install, patched it, and immediately started noticing lots of major issues. There are problems with texture rendering, audio, and the GUI, plus mouse input funkiness and unexpected performance problems when using both XOpenGL and EXUOpenGL. I've had major audio issues with both Galaxy and the new Cluster audio subsystem as well. I'm going to experiment a bit, but haven't found solutions yet.

Fortunately, this patch is under active development, so I'm sure they'll work out the kinks. For now, though, I recommend making a separate install for v469A if you want to see how it works for you, and be warned that EXU2 hasn't been fully tested in that environment yet since I have a lot of gamebreaking problems to solve first on my end. If you don't have major issues with 469A and try it with EXU2, though, feel free to post here if you notice any bugs that don't occur under 436! Would be good to know what to expect.

Once I manage to get a comfy 469A install (or whatever future version ends up working best), I'll be sure to update the official recommendations. In the meantime, 436 is the safe bet, as that version is never going to change. I also have no intention of breaking compatibility with 436 at any point in the future, so it should always be a viable option.

Re: Warning: EXU2 may be incompatible with the new UT patch 469A

Posted: 29 Sep 2020, 05:20
by UTNerd24
One step ahead of ya, Waff Man! The way I've set it up personally is I use 436 for SP shenanigans, and 469 for Online play. So it's the best of both worlds.
Thank you for the confirmation though! Look forward to hearing from you again!

Re: Warning: EXU2 may be incompatible with the new UT patch 469A

Posted: 01 Oct 2020, 10:07
by UnrealGecko
Better to let the patch devs know of any and all bugs you encounter
https://github.com/OldUnreal/UnrealTour ... hes/issues

Re: Warning: EXU2 may be incompatible with the new UT patch 469A

Posted: 01 Oct 2020, 17:48
by Buff Skeleton
I plan on it, but just haven't had much time to dedicate to it yet, hence this thread.